%define rev svn20131110

# debuginfo-without-sources
%define debug_package %{nil}

Summary: Learn the English alphabet
Name: myabcs
Version: 0.4.5
Release: %mkrel -c %{rev} 5
License: GPLv2
Group: Education
URL: http://sourceforge.net/projects/myabcs
BuildRequires: wxgtku-devel
# svn checkout svn://svn.code.sf.net/p/myabcs/svn/trunk myabcs-svn
Source0: %{name}-%{version}-%{rev}.tar.gz
Source1: %{name}.desktop

%description
MyABCs Educational Software. An educational game for young children.
MyABCs familiarizes children with the English alphabet and a keyboard.
Children can play with MyABCs to learn about the alphabet and words
associated with it.

How to play:
* In ABC mode, press the key on the keyboard that is shown on the screen
to advance through the alphabet, press "Backspace" to go back
* In any other mode, press a key on the keyboard to display that letter
* To hear the word displayed on the screen, press the spacebar

%prep
%setup -q -n %{name}-%{version}-%{rev}

%build
%make

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af pic %{buildroot}%{_datadir}/%{name}/
cp -af sound %{buildroot}%{_datadir}/%{name}/
cp -f icon.xpm %{buildroot}%{_datadir}/%{name}/
cp -f MyABCs %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/MyABCs %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
cp -f %{SOURCE1} %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s %{_datadir}/%{name}/icon.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%files
%doc doc/license.txt AUTHORS
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.4.5-0.svn20131110.5.mga6
+ Revision: 951690
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 0.4.5-0.svn20131110.4.mga5
+ Revision: 809063
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-0.svn20131110.3.mga5
+ Revision: 747161
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 umeabot <umeabot> 0.4.5-0.svn20131110.2.mga5
+ Revision: 731503
- Mageia 5 Mass Rebuild

* Sat Jul 19 2014 alexl <alexl> 0.4.5-0.svn20131110.1.mga5
+ Revision: 653783
- imported package myabcs

